Добрый день, товарищи разработчики!

Возникла проблема с коннектором IIT E-Signature for Creatio.

Точнее с системой, при попытке обновления 7.17.1 -> 7.17.2 Service enterprise возникает ошибка:

Autogenerated\Src\DigitalSignatureFileUploadInfo.DigitalSignature.cs(20,47) ошибка CS0535: 'DigitalSignatureFileUploadInfo' does not implement interface member 'IFileUploadInfo.IsLastChunk' 

Нравится

1 комментарий

Петр, добрый день!

 

ошибка воспроизвелась при установке решения на версию 7.17.2. Передала информацию ответственной команде для планирования работ по исправлению.

Показать все комментарии

Добрый день. После обновления при попытке сгенерировать исходный код возникла следующая ошибка (в названии темы). Пробовал делать выгрузку/загрузку из файловой системы, чистил редис, прописывал UseStaticFileContent (false), ничего не помогло. Как можно пофиксить или хотя бы локализовать данную проблему?

Нравится

3 комментария

Добрый день, Олег.
Обратитесь в техническую поддержку Terrasoft.

Обращайтесь в техподдержку. Было такое на схемах бизнес-процессов. Была проблема, связанная с генерацией метаданных дизайнером бизнес-процессов. 

"Перекомпилировать все" делали?

Показать все комментарии

Произошла ошибка при запуске обновления стенда: Can't connect to web server '%WebServer%'. Возможно, я неверно прописал свойство <WebServer></WebServer>. Хотелось бы уточнить, что конкретно нужно прописывать? Url сайта не подходит, каталог с приложением на сервере тоже.

Нравится

2 комментария

А с чего вы взяли что свойство нужно чем-то заполнять? У меня данное свойство закомментировано, например. И обновление успешно запускается

Олег, добрый день!
В свойстве WebServer указывается адрес машины, на которой установлен IIS.

Показать все комментарии

В install.xml строка подключения прописана следующим образом:

<ConnectionString>
    <add name="db" connectionString="Data Source=MyServer; Initial Catalog=myDb; Persist Security Info=True; MultipleActiveResultSets=True; Integrated Security=SSPI; Pooling = true; Max Pool Size = 100; Async = true; Connection Timeout=500" />
  </ConnectionString>

 

При запуске обновления выдает следующую ошибку:

The ConnectionString property has not been initialized.
        MS SQL Server version: expected 2012 SP3, actual <not available> RTM

Configuration setup error:
Installed components/software have an outdated/incorrect version.
In order to start the update, please upgrade it.

 

Как решить данную проблему?

Нравится

1 комментарий

Здравствуйте!

 

Проверьте строку ConnectionString, после открывающего тега должно быть сразу написано Data Source, как на примере:

<Site>Site-name</Site>
<installPackagesPath>c:\temp\InstallPackages\</InstallPackagesPath>

<ConnectionString>Data Source=%DbServer%; Initial Catalog =%Database%; Integrated Security=SSPI; MultipleActiveResults=True; Pooling=true; Max Pool Size=100</ConnectionString>

<DbEngineType>mssql</DbEngineType>
<CurrentSchemaName>dbo</CurrentSchemaName>

Показать все комментарии

Папка с приложением лежит на сервере. Обновление запускается с виртуальной машины. При запуске Update.exe выдает следующую ошибку:

Install setup error:
Cannot retrieve site information
Terrasoft.Common.dll

Какие действия необходимо предпринять для разрешения данной проблемы?

Нравится

2 комментария
Лучший ответ

Добрый день!
Эта ошибка говорит о том, что в папке приложения нет файла bin\Terrasoft.Common.dll, возможно папка приложения вообще пустая. Проверьте содержимое папки, указанной в параметре WebRootDirectory файла install.xml.
Также, указанную ошибку наблюдали если не верно указан путь в webroot файла install.xml.

Добрый день!
Эта ошибка говорит о том, что в папке приложения нет файла bin\Terrasoft.Common.dll, возможно папка приложения вообще пустая. Проверьте содержимое папки, указанной в параметре WebRootDirectory файла install.xml.
Также, указанную ошибку наблюдали если не верно указан путь в webroot файла install.xml.

Sorotiuk Anna, действительно, в конфиге был прописан неверный путь.

Показать все комментарии

Не могу скачать сервис для обновления по этой ссылке из этой статьи.

Нравится

2 комментария
Лучший ответ

Попробуйте пока скачать по временной альтернативной ссылке, сообщим ответственной команде что существует проблема со скачиванием сервиса. https://creatiocom-my.sharepoint.com/:u:/g/personal/t_ponomarov_creatio_com/EVQFFMoVSZRJjfmRAY6guVgBCSrQb1hhWSkPj2KLH4n5uA?e=Uyep6o

Попробуйте пока скачать по временной альтернативной ссылке, сообщим ответственной команде что существует проблема со скачиванием сервиса. https://creatiocom-my.sharepoint.com/:u:/g/personal/t_ponomarov_creatio_com/EVQFFMoVSZRJjfmRAY6guVgBCSrQb1hhWSkPj2KLH4n5uA?e=Uyep6o

t.ponomarov, Спасибо!

Показать все комментарии

При попытке пользователя зайти на сайт пишет что нету лицензии, хотя лицензия у него есть.

 

Пытался перезагрузить лицензию, но при попытке загрузки лицензии выдает ошибку.

 

 

В логах пишет "Неверный формат лицензии".

В чем может быть проблема?

Нравится

1 комментарий
Лучший ответ

Вероятнее всего проблема в том, что вы пытаетесь загрузить файл от старой версии.

Попробуйте выгрузить файл с запросом лицензий .tlr затем запросить и у поддержки обновленный файл .tls

Вероятнее всего проблема в том, что вы пытаетесь загрузить файл от старой версии.

Попробуйте выгрузить файл с запросом лицензий .tlr затем запросить и у поддержки обновленный файл .tls

Показать все комментарии

Необходимо обновить систему до версии 7.16.1, в гайде на академии описано только обновление до последней версии.
Так как же обновиться до определенной версии?

Нравится

1 комментарий
Лучший ответ

Добрый день.

Для того, чтобы обновиться до нужной версии, в папке, в которую выгрузятся все дистрибутивы до последней версии, нужно оставить дистрибутивы только тех версий, которые идут до нужной Вам версии, включая нужную версию.

Обратите внимание, что обновляться нужно с версии на версию последовательно, не пропуская версии, которые идут между ними!

И ещё важный момент, если например, Вы обновляетесь с версии 7.16.1 на 7.16.3, а потом хотите с версии 7.16.3 на 7.16.4, то в папке с обновлениями должны находиться только дистрибутивы версий, которые идут после текущей и включительно до той, на которую Вы обновляетесь.

Утилита не выполняет проверку на то, что дистрибутив в папке может быть ниже или такой же, как в текущей версии, поэтому такое обновление приведет к ошибкам и Вам прийдется выполнять обновление повторно.

Ну, а вообще, как пожелание, можно в утилиту по скачиванию дистрибутивов добавить ещё один параметр, в котором указывать нужную версию.

Добрый день.

Для того, чтобы обновиться до нужной версии, в папке, в которую выгрузятся все дистрибутивы до последней версии, нужно оставить дистрибутивы только тех версий, которые идут до нужной Вам версии, включая нужную версию.

Обратите внимание, что обновляться нужно с версии на версию последовательно, не пропуская версии, которые идут между ними!

И ещё важный момент, если например, Вы обновляетесь с версии 7.16.1 на 7.16.3, а потом хотите с версии 7.16.3 на 7.16.4, то в папке с обновлениями должны находиться только дистрибутивы версий, которые идут после текущей и включительно до той, на которую Вы обновляетесь.

Утилита не выполняет проверку на то, что дистрибутив в папке может быть ниже или такой же, как в текущей версии, поэтому такое обновление приведет к ошибкам и Вам прийдется выполнять обновление повторно.

Ну, а вообще, как пожелание, можно в утилиту по скачиванию дистрибутивов добавить ещё один параметр, в котором указывать нужную версию.

Показать все комментарии

Добрый день, товарищи разработчики!

Возникла проблема с коннектором IIT E-Signature for Creatio.

Точнее с системой, при попытке обновления 7.15.3 -> 7.15.4 Service enterprise возникает ошибка:

Autogenerated\Src\DigitalSignatureFileUploadInfo.DigitalSignature.cs(19,47) ошибка CS0535: 'DigitalSignatureFileUploadInfo' does not implement interface member 'IFileUploadInfo.AdditionalParams'

Помогите забороть эту проблему.

Нравится

2 комментария

Добрый день, Петр!

 

Эта ошибка уже в работе у ответственной команды. Предварительно в начале следующей неделе опубликуем обновленный пакет на маркетплейс.

Добрый день, Петр!

 

Опубликовала обновленный пакет на маркетплейсе с исправлением ошибки. Установите дополнение повторно из маркетплейс и проверьте обновления.

Показать все комментарии

Добрый день! Пытался обновить версию OData по инструкции:

https://academy.terrasoft.ru/documents/technic-sdk/7-16/integraciya-s-creatio-po-protokolu-odata-4?_ga=2.183260710.1232967641.1598249864-1095365786.1598249864

 

Добавил в Web.Config, который находится в корневой папке в блок <appSettings>

строку:

<add key="Feature-UseODataV4" value="true" />

Сохранил файл конфигурации.

Следующий запрос через Postman для проверки возвращает статус 404: 

http://myapp/0/odata/Employee?$filter=FullJobTitle eq 'Developer' and Account/Name ne 'Our company'

 

В то же время запрос для версии OData 3 возвращает статус 200:

http://myapp/0/ServiceModel/EntityDataService.svc/EmployeeCollection?$f… eq 'Developer' and Account/Name ne 'Our company'

 

Полная компиляция, очистка редис и перезапуск приложения в IIS не помогло.

Версия продукта 7.15.0.634

Нравится

1 комментарий

Никита, нужно добавить не во внешний, а во внутренний Web.Config, который в папке Terrasoft.WebApp.

Показать все комментарии